![Nextcloud](https://raw.githubusercontent.com/docker-library/docs/e563b6cd3d797e2b3695576d20041227d1fb7536/nextcloud/logo.svg?sanitize=true "Nextcloud")

**NOTE:** There is no longer a `latest` or `fpm-alpine` tag, as the latest version from nextcloud would be `29` but at the moment, I consider `28` more stable, you will now have to specify which major version you need: `27-fpm-alpine`,`27-fpm`,`28-fpm-alpine`,`28-fpm`,`29-fpm-alpine`,`29-fpm`. This should prevent major problems with an unintended upgrade from one major version to another (you cannot easily downgrade).

In the fpm tag, the `www-data` user has been modified to uid/gid 82, to coincide with the alpine version, and also work with the companion nginx container, [`bkraul/nginx-nextcloud`](https://hub.docker.com/repository/docker/bkraul/nginx-nextcloud).

# Description
This image is fully based on the latest official [fpm-alpine/fpm Nextcloud](https://hub.docker.com/_/nextcloud/). No modifications to how the image works have been made, except for adding features. For more information on how to add features [go here](https://github.com/nextcloud/docker/tree/master/.examples).

# Features
This image adds built-in support for the following features:
* bz2 (versions 28+)
* Samba
* Redis
* ImageMagick: (The `fpm-alpine` image does not natively support any image formats (including the needed SVG format), due to it missing `imagemagick` package). This image corrects that.

# Current Versions
The current `29-fpm-alpine` and `29-fpm` version is **29.0.7**\
The current `28-fpm-alpine` and `28-fpm` version is **28.0.10**\

# Deprecated Versions
The last `27-fpm-alpine` and `27-fpm` version is **27.1.11** (No longer officially supported/updated by Nextcloud)\
The last `26-fpm-alpine` and `26-fpm` version is **26.0.10** (No longer officially supported/updated by Nextcloud)\
The last `25-fpm-alpine` and `25-fpm` version is: **25.0.13** (No longer officially supported/updated by Nextcloud)\
The last `24-fpm-alpine` and `24-fpm` version is: **24.0.12** (No longer officially supported/updated by Nextcloud)\
The last `23-fpm-alpine` and `23-fpm` version is: **23.0.12** (No longer officially supported/updated by Nextcloud)\
The last `22-fpm-alpine` and `22-fpm` version is: **22.2.10** (No longer officially supported/updated by Nextcloud)\
The last `21-fpm-alpine` and `21-fpm` version is: **21.0.9** (No longer officially supported/updated by Nextcloud)\
The last `20-fpm-alpine` and `20-fpm` version is: **20.0.10** (No longer officially supported/updated by Nextcloud)\
The last `19-fpm-alpine` and `19-fpm` version is: **19.0.12**  (No longer officially supported/updated by Nextcloud)\
The last `18-fpm-alpine` and `18-fpm` version is: **18.0.14** (No longer officially supported/updated by Nextcloud)\
The last `17-fpm-alpine` and `17-fpm` version is: **17.0.10** (No longer officially supported/updated by Nextcloud)\
The last `16-fpm-alpine` and `16-fpm` version is: **16.0.11** (No longer officially supported/updated by Nextcloud)


# Source
https://git.belmankraul.com/docker/nextcloud

# Issues
For issues or questions, visit https://git.belmankraul.com/docker/nextcloud/issues